Get Evaluator Upload Endpoint
curl --request POST \
--url https://api.fireworks.ai/v1/accounts/{account_id}/evaluators/{evaluator_id}:getUploadEndpoint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filenameToSize": {},
"readMask": "<string>"
}
'import requests
url = "https://api.fireworks.ai/v1/accounts/{account_id}/evaluators/{evaluator_id}:getUploadEndpoint"
payload = {
"filenameToSize": {},
"readMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filenameToSize: {}, readMask: '<string>'})
};
fetch('https://api.fireworks.ai/v1/accounts/{account_id}/evaluators/{evaluator_id}:getUploadEndpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filenameToSignedUrls": {}
}Evaluators
Get Evaluator Upload Endpoint
Returns signed URLs for uploading evaluator source code (step 3 in the
Create Evaluator workflow). After receiving
the signed URL, upload your .tar.gz archive using HTTP PUT with
Content-Type: application/octet-stream header.
POST
/
v1
/
accounts
/
{account_id}
/
evaluators
/
{evaluator_id}
:getUploadEndpoint
Get Evaluator Upload Endpoint
Authorizations
Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>
Response
200 - application/json
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I